AFPShadingMode (Apache FOP Core 2.11 API)
Date: 2025-04-24

org.apache.fop.render.afp

## Enum AFPShadingMode

- java.lang.Object
- - java.lang.Enum<AFPShadingMode>
  - - org.apache.fop.render.afp.AFPShadingMode

- All Implemented Interfaces:
    Serializable, Comparable<AFPShadingMode>

      public enum AFPShadingMode
      extends Enum<AFPShadingMode>

  Enumeration of the AFP shading modes.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `COLOR` the color mode (the default)
    `DITHERED` the dithered mode

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()`
    `static AFPShadingMode` | `getValueOf(String name)` Returns the enumeration/singleton object based on its name.
    `String` | `toString()`
    `static AFPShadingMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static AFPShadingMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### COLOR

          public static final AFPShadingMode COLOR

      the color mode (the default)

    - #### DITHERED

          public static final AFPShadingMode DITHERED

      the dithered mode

  - ### Method Detail

    - #### values

          public static AFPShadingMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AFPShadingMode c : AFPShadingMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AFPShadingMode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getName

          public String getName()

      Returns:
        the name of the enumeration

    - #### getValueOf

          public static AFPShadingMode getValueOf(String name)

      Returns the enumeration/singleton object based on its name.
      Parameters:
        `name` - the name of the enumeration value
      Returns:
        the enumeration object

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<AFPShadingMode>`

Copyright © 2025 Apache Software Foundation. All rights reserved.